Index: git/arch/arm/mach-pxa/spitz.c
===================================================================
--- git.orig/arch/arm/mach-pxa/spitz.c	2006-06-08 10:17:01.000000000 +0100
+++ git/arch/arm/mach-pxa/spitz.c	2006-06-08 20:45:43.000000000 +0100
@@ -373,6 +373,7 @@
 static struct pxaohci_platform_data spitz_ohci_platform_data = {
 	.port_mode	= PMM_NPS_MODE,
 	.init		= spitz_ohci_init,
+	.power_budget	= 150,
 };
 
 
Index: git/drivers/usb/host/ohci-pxa27x.c
===================================================================
--- git.orig/drivers/usb/host/ohci-pxa27x.c	2006-05-04 23:13:04.000000000 +0100
+++ git/drivers/usb/host/ohci-pxa27x.c	2006-06-08 20:48:47.000000000 +0100
@@ -185,6 +185,9 @@
 	/* Select Power Management Mode */
 	pxa27x_ohci_select_pmm(inf->port_mode);
 
+	if (inf->power_budget)
+		hcd->power_budget = inf->power_budget;
+
 	ohci_hcd_init(hcd_to_ohci(hcd));
 
 	retval = usb_add_hcd(hcd, pdev->resource[1].start, SA_INTERRUPT);
Index: git/include/asm-arm/arch-pxa/ohci.h
===================================================================
--- git.orig/include/asm-arm/arch-pxa/ohci.h	2006-05-04 23:13:09.000000000 +0100
+++ git/include/asm-arm/arch-pxa/ohci.h	2006-06-08 20:44:22.000000000 +0100
@@ -11,6 +11,8 @@
 #define PMM_NPS_MODE           1
 #define PMM_GLOBAL_MODE        2
 #define PMM_PERPORT_MODE       3
+
+	int power_budget;
 };
 
 extern void pxa_set_ohci_info(struct pxaohci_platform_data *info);
